import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.diary_request import diary_request


class TestDiaryUpdate:
    data = BaseRequest().api_load(path_setting.DIARY_UPDATE)
    diary_update_case, diary_update_data = get_ids(data, "diary_update")

    @pytest.mark.parametrize("param", diary_update_data, ids=diary_update_case)
    def test_diary_update(self, param):
        r = diary_request().diary_update(param["topic_list"])
        # print(r)
        # if r["error"] == 0:
        #     assert r["message"] == param["assert"]
        if r["error"] == 1:
            assert r["message"] == param["message"]
        #     校验--如果是因为发布频繁导致的错误就不用理会-如果是其他再判断


        #     收藏之后取消收藏?为啥能成功？




